> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all account transfers

> Searches for all money movement recorded against your accounts. Results include internal
account-to-account transfers, onchain deposits, and onchain withdrawals. Use the `source` and
`destination` fields on each transfer to determine directionality: onchain deposits appear with a
blockchain source and an account destination, while onchain withdrawals appear with an account source
and a blockchain destination.

Note that you can only *create* internal account-to-account transfers between accounts under the same
parent. Onchain deposits and withdrawals are recorded by other flows and appear here as read-only
history. See [Create an account transfer](#operation/createManagedPaymentsAccountTransfer).

Returns up to 50 transfers in descending chronological order or `pageSize`, if provided. If date
parameters are omitted, returns the most recent transfers.




## OpenAPI

````yaml openapi/managed-payments.yaml get /v1/accounts/transfers
openapi: 3.0.2
info:
  version: ${version}
  title: Managed Payments API
  description: |
    The Managed Payments API enables Payment Service Providers (PSPs) to create
    and manage sub-client accounts for stablecoin settlement.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Managed Payments Accounts
    description: Create and manage sub-client accounts for Managed Payments PSPs.
  - name: Managed Payments Credit
    description: Get credit line details and wire instructions for repayment.
  - name: Managed Payments Credit Transfers
    description: Create and manage credit transfers (drawdowns) against a credit line.
  - name: Managed Payments Transfers
    description: >-
      Create and manage internal account-to-account transfers for Managed
      Payments.
paths:
  /v1/accounts/transfers:
    get:
      tags:
        - Managed Payments Transfers
      summary: List all account transfers
      description: >
        Searches for all money movement recorded against your accounts. Results
        include internal

        account-to-account transfers, onchain deposits, and onchain withdrawals.
        Use the `source` and

        `destination` fields on each transfer to determine directionality:
        onchain deposits appear with a

        blockchain source and an account destination, while onchain withdrawals
        appear with an account source

        and a blockchain destination.


        Note that you can only *create* internal account-to-account transfers
        between accounts under the same

        parent. Onchain deposits and withdrawals are recorded by other flows and
        appear here as read-only

        history. See [Create an account
        transfer](#operation/createManagedPaymentsAccountTransfer).


        Returns up to 50 transfers in descending chronological order or
        `pageSize`, if provided. If date

        parameters are omitted, returns the most recent transfers.
      operationId: listManagedPaymentsAccountTransfers
      parameters:
        - $ref: '#/components/parameters/ClientEntityId'
        - $ref: '#/components/parameters/AccountId'
        - $ref: '#/components/parameters/SourceAccountId'
        - $ref: '#/components/parameters/DestinationAccountId'
        - name: sourceType
          description: Filter by source type.
          in: query
          required: false
          schema:
            type: string
            enum:
              - account
              - blockchain
        - name: destinationType
          description: Filter by destination type.
          in: query
          required: false
          schema:
            type: string
            enum:
              - account
              - blockchain
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListManagedPaymentsAccountTransfersResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AccountTransfer'
              example:
                data:
                  - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                    source:
                      type: account
                      id: '1000565227'
                      description: Your Payments Account
                    destination:
                      type: account
                      id: '1000662322'
                      description: Merchant Subledger Account
                    amount:
                      amount: '10.00'
                      currency: USD
                    status: complete
                    createDate: '2020-04-10T02:13:30.000Z'
                  - id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                    source:
                      type: blockchain
                      address: '0x4ecb23e795411ab0c1c42129d3f630485db5983c'
                      chain: ETH
                    destination:
                      type: account
                      id: '1000565227'
                      description: Your Payments Account
                      address: '0xecf270635e22f87b9d9ed501eca86e74caf59623'
                    amount:
                      amount: '25.00'
                      currency: USD
                    transactionHash: >-
                      0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63
                    status: complete
                    createDate: '2020-04-10T02:13:30.000Z'
                  - id: c3d4e5f6-7890-4bcd-ef12-34567890abcd
                    source:
                      type: account
                      id: '1000565227'
                      description: Your Payments Account
                    destination:
                      type: blockchain
                      address: '0xd2df4ae1a658ced9a5fa97dd6de7cd45bbe49ee4'
                      chain: ETH
                    amount:
                      amount: '100.00'
                      currency: USD
                    transactionHash: >-
                      0x4bc333913b88ebe2dd56597049491b0f93b5ca6051322723e329e22d91e27525
                    status: complete
                    createDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  parameters:
    ClientEntityId:
      name: clientEntityId
      description: >-
        Identifier of the client entity. Filters results to fetch only resources
        associated with the specified client entity.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: a3f1b2c4-d5e6-7890-abcd-ef1234567890
    AccountId:
      name: accountId
      description: >-
        Identifier of the account. Filters results to fetch only resources
        associated with the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    SourceAccountId:
      name: sourceAccountId
      description: >-
        Identifier of the source account. Filters transfers to those originating
        from the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    DestinationAccountId:
      name: destinationAccountId
      description: >-
        Identifier of the destination account. Filters transfers to those sent
        to the specified account.
      in: query
      required: false
      schema:
        type: string
        example: '1000565227'
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    AccountTransfer:
      type: object
      description: A transfer of funds.
      required:
        - id
        - source
        - destination
        - amount
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        source:
          $ref: '#/components/schemas/AccountTransferSourceLocation'
        destination:
          $ref: '#/components/schemas/AccountTransferDestinationLocation'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fees:
          description: >-
            An array of fees applied to a transaction. This is only available
            when there is at least one non-zero fee.
          type: array
          items:
            $ref: '#/components/schemas/Fee'
        transactionHash:
          description: >-
            A hash that uniquely identifies the onchain transaction. This is
            only available where either source or destination is of type
            blockchain.
          type: string
          example: '0x4cebf8f90c9243a23c77e4ae20df691469e4b933b295a73376292843968f7a63'
        status:
          description: >-
            Status of the transfer. Status `pending` indicates that the transfer
            is in the process of running; `complete` indicates it finished
            successfully; `failed` indicates it failed.
          type: string
          enum:
            - pending
            - complete
            - failed
        errorCode:
          $ref: '#/components/schemas/AccountTransferErrorCode'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: The create date of the transfer.
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    AccountTransferSourceLocation:
      description: A source of funds.
      oneOf:
        - $ref: '#/components/schemas/TransferSourceAccountLocation'
        - $ref: '#/components/schemas/AccountTransferSourceBlockchainLocation'
    AccountTransferDestinationLocation:
      description: A destination of funds.
      oneOf:
        - $ref: '#/components/schemas/TransferDestinationBlockchainLocation'
        - $ref: '#/components/schemas/TransferDestinationAccountLocation'
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    Fee:
      type: object
      required:
        - amount
        - currency
        - type
      properties:
        amount:
          type: string
          description: Magnitude of the fee amount, in units of the currency, with a `.`.
          example: '10.00'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
        type:
          type: string
          description: Category of the fee.
          enum:
            - network
    AccountTransferErrorCode:
      type: string
      description: >-
        Indicates the failure reason of a transfer. Only present for transfers
        in a `failed` state.
      nullable: true
      enum:
        - transfer_failed
        - transfer_denied
        - blockchain_error
        - insufficient_funds
        - invalid_crypto_address
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    TransferSourceAccountLocation:
      description: A source account location.
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          enum:
            - account
        id:
          type: string
          description: The identifier of the source account.
          example: '1000662322'
        description:
          type: string
          description: The human-readable name of the source account.
          example: Your Payments Account
    AccountTransferSourceBlockchainLocation:
      description: >-
        A source blockchain location. Only present in transfer responses, not
        accepted in transfer creation requests.
      type: object
      required:
        - type
        - chain
      properties:
        type:
          type: string
          enum:
            - blockchain
        address:
          type: string
          description: >
            The originating blockchain address. Returned in lowercase for
            onchain deposits, which may differ in

            case from the checksummed form returned on blockchain destinations.
            Compare addresses case-insensitively.
          example: '0x4ecb23e795411ab0c1c42129d3f630485db5983c'
        chain:
          $ref: '#/components/schemas/Chain'
    TransferDestinationBlockchainLocation:
      description: A destination blockchain address.
      type: object
      required:
        - type
        - chain
        - address
      properties:
        type:
          type: string
          enum:
            - blockchain
        address:
          $ref: '#/components/schemas/Address'
        addressTag:
          $ref: '#/components/schemas/AddressTag'
        chain:
          $ref: '#/components/schemas/Chain'
    TransferDestinationAccountLocation:
      description: A destination account location.
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          enum:
            - account
        id:
          type: string
          description: The identifier of the destination account.
          example: '1000662322'
        description:
          type: string
          description: The human-readable name of the destination account.
          example: Merchant Subledger Account
        address:
          type: string
          description: >
            The deposit address of the destination account. Present when the
            transfer originates from a blockchain source (e.g. a crypto
            deposit).
          example: '0xecf270635e22f87b9d9ed501eca86e74caf59623'
        addressTag:
          $ref: '#/components/schemas/AddressTag'
    Chain:
      type: string
      description: >
        A blockchain that a given currency is available on.


        **Note:** Arc (`ARC`) is only available in the sandbox environment
        (`api-sandbox.circle.com`).
      enum:
        - ALGO
        - APTOS
        - ARB
        - ARC
        - AVAX
        - BASE
        - BTC
        - CELO
        - CODEX
        - ETH
        - HBAR
        - HYPEREVM
        - INK
        - LINEA
        - NEAR
        - NOBLE
        - OP
        - PLUME
        - PAH
        - POLY
        - SEI
        - SOL
        - SONIC
        - SUI
        - UNI
        - WORLDCHAIN
        - XLAYER
        - XDC
        - XLM
        - XRP
        - ZKS
        - ZKSYNC
    Address:
      type: string
      description: >
        An alphanumeric string representing a blockchain address. Formatting
        varies by blockchain.

        Be sure to preserve the exact formatting and capitalization of the
        address.  

        **Important:** For Ripple (XRP) addresses, only the classic address
        format is supported (for example,
        `rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY`).  

        The `x-address` format is NOT supported currently (for example,
        `XV5sbjUmgPpvXv4ixFWZ5ptAYZ6PD2q1qM6owqNbug8W6KV`).
      example: '0x8381470ED67C3802402dbbFa0058E8871F017A6F'
    AddressTag:
      type: string
      description: >-
        The secondary identifier for a blockchain address. An example of this is
        the memo field on the Stellar network, which can be text, id, or hash
        format.
      nullable: true
      example: '123456789'
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    Forbidden:
      description: >-
        The request provides authentication, but the authenticated user does not
        possess sufficient permissions for accessing this resource.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: Forbidden
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 3
              message: Forbidden
          examples:
            response:
              value:
                code: 3
                message: Forbidden
    InternalServerError:
      description: Unexpected server error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: InternalServerError
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 500
              message: Internal server error.
          examples:
            response:
              value:
                code: 500
                message: Internal server error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````